List documents on brokerage firm
curl --request GET \
--url https://api.example.com/brokerage-firms/{brokerageFirmId}/documentsimport requests
url = "https://api.example.com/brokerage-firms/{brokerageFirmId}/documents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/brokerage-firms/{brokerageFirmId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"path": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"signedUrl": "<string>"
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}{
"title": "INVALID_EVENT_CREATION_DATE"
}{
"title": "FORBIDDEN"
}{
"title": "POLICY_NOT_FOUND"
}brokerage-firms
List documents on brokerage firm
Lists documents that belong to the brokerage firm. Supports pagination and filters via query params.
GET
/
brokerage-firms
/
{brokerageFirmId}
/
documents
List documents on brokerage firm
Path Parameters
the brokerageFirm id
Query Parameters
the page info
Show child attributes
Show child attributes
the sort options
Show child attributes
Show child attributes
Response
Documents listed successfully.
Was this page helpful?
⌘I

